%define fakeroot 1.1.5
Name: fakechroot
Version: 0.2.6.1
Release: alt3

Summary: Run a command in an environment faking root privileges for file manipulation
License: GPL
Group: Development/Other
Url: http://www.altlinux.org/

Source: %{name}-%version+%fakeroot.tar.bz2
Patch0: fakechroot-0.2.6.1+1.1.5-glob.patch
Patch1: fakechroot-0.2.6.1+1.1.5-mkstemp.patch
Patch2: fakechroot-0.2.6.1+1.1.5-mkstemp64.patch

BuildPreReq: sharutils

# Automatically added by buildreq on Tue Nov 23 2004
BuildRequires: gcc-c++ libstdc++-devel

%description
fakeroot runs a command in an environment were it appears to have root
privileges for file manipulation.  This is useful for allowing users to
createarchives (tar, ar, .rpm etc.) with files in them with root
permissions/ownership.  Without fakeroot one would have to have root
privileges to create the constituent files of the archives with the
correct permissions and ownership, and then pack them up, or one would
have to construct the archives directly, without using the archiver.

%package -n lib%name
Summary: libfakechroot allow fake chroot() for fakeroot environment.
Group: Development/Other
Url: http://www.altlinux.org/
Requires: fakeroot

%description -n lib%name
libfakechroot allow fake chroot() for fakeroot environment.


%prep
%setup -q -n %{name}-%version+%fakeroot
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%__grep -FZrl sys: test |
	xargs -r0 %__subst -p "s/sys:/bin:/g" --
%__grep -FZrl :sys test |
	xargs -r0 %__subst -p "s/:sys/:bin/g" --
autoreconf -fisv
%configure --libdir=%_libdir/libfakeroot --enable-static=no
%make_build
%{!?__buildreqs:%{!?_without_check:%{!?_disable_check:%make_build check}}}


%install
%makeinstall libdir=%buildroot%_libdir/libfakechroot
find %buildroot%_libdir -type f -name \*.la -print -delete

%files -n lib%name
%_libdir/libfakechroot/*.so.*

%changelog
* Wed Aug 31 2005 Anton Farygin <rider@altlinux.ru> 0.2.6.1-alt3
- fixed mkstemp(), added mkstemp64()

* Wed Mar 30 2005 Anton Farygin <rider@altlinux.ru> 0.2.6.1-alt2
- added glob()

* Wed Nov 24 2004 Anton Farygin <rider@altlinux.ru> 0.2.6.1-alt1
- fixed rename() wrapper

* Tue Nov 23 2004 Anton Farygin <rider@altlinux.ru> 0.2.6-alt2
- sync with fakeroot-1.1.5-alt1

* Wed Jun 16 2004 Anton Farygin <rider@altlinux.ru> 0.2.6-alt1
- first build for Sisyphus
